kernel Antes de ayer se publico la versión final del Kernel Linux 4.18, la cual explicaremos como instalar en su versión normal y la de baja latencia.

Información útil:

Novedades: En esta nueva versión del Kernel nos podemos encontrar con mejoras especialmente en mejoras para AMDGPU en torno a su gestión energética, soporte para Qualcomm Snapdragon 845 SoC y para NVIDIA GV100 Volta, así como soporte para nuevos chips de sonido, mejoras para USB 3.2 y USB Tipo-C entre otros muchos.

Para más información visita el anuncio oficial: Anuncio Kernel 4.18.

Esta instalación es valida para Ubuntu, Mint y Debian para sistemas de 32 Bits, serían a través de una terminal con las siguientes ordenes, primero descargamos los paquetes:

Versión normal (32bits):

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v4.18/linux-headers-4.18.0-041800_4.18.0-041800.201808122131_all.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v4.18/linux-headers-4.18.0-041800-generic_4.18.0-041800.201808122131_i386.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v4.18/linux-image-4.18.0-041800-generic_4.18.0-041800.201808122131_i386.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v4.18/linux-modules-4.18.0-041800-generic_4.18.0-041800.201808122131_i386.deb

Versión de baja latencia para el kernel (lowlatency) (64bits):

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v4.18/linux-headers-4.18.0-041800_4.18.0-041800.201808122131_all.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v4.18/linux-headers-4.18.0-041800-lowlatency_4.18.0-041800.201808122131_i386.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v4.18/linux-image-4.18.0-041800-lowlatency_4.18.0-041800.201808122131_i386.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v4.18/linux-modules-4.18.0-041800-lowlatency_4.18.0-041800.201808122131_i386.deb

Y finalmente, los instalamos con:

$ sudo dpkg -i linux-headers-4.18*.deb linux-image-4.18*.deb

Para su instalación en sistemas de 64 Bits, descargamos con:

Versión normal (64bits):

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v4.18/linux-headers-4.18.0-041800_4.18.0-041800.201808122131_all.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v4.18/linux-headers-4.18.0-041800-generic_4.18.0-041800.201808122131_amd64.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v4.18/linux-image-unsigned-4.18.0-041800-generic_4.18.0-041800.201808122131_amd64.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v4.18/linux-modules-4.18.0-041800-generic_4.18.0-041800.201808122131_amd64.deb

Versión de baja latencia para el kernel (lowlatency) (64bits):

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v4.18/linux-headers-4.18.0-041800_4.18.0-041800.201808122131_all.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v4.18/linux-headers-4.18.0-041800-lowlatency_4.18.0-041800.201808122131_amd64.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v4.18/linux-image-unsigned-4.18.0-041800-lowlatency_4.18.0-041800.201808122131_amd64.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v4.18/linux-modules-4.18.0-041800-lowlatency_4.18.0-041800.201808122131_amd64.deb

E instalamos también con:

$ sudo dpkg -i linux-headers-4.18*.deb linux-image-4.18*.deb

Reiniciamos el sistema, y seccionamos la versión con la que queramos iniciar en el GRUB o BURG.

Fuente: Kernel – Ubuntu.

7 COMENTARIOS

  1. Sigue sin funcionar en MX Linux (basado en Debian), la terminal arroja lo siguiente:

    Seleccionando el paquete linux-headers-4.18.0-041800 previamente no seleccionado.
    (Leyendo la base de datos … 353164 ficheros o directorios instalados actualmente.)
    Preparando para desempaquetar linux-headers-4.18.0-041800_4.18.0-041800.201808122131_all.deb …
    Desempaquetando linux-headers-4.18.0-041800 (4.18.0-041800.201808122131) …
    Seleccionando el paquete linux-headers-4.18.0-041800-generic previamente no seleccionado.
    Preparando para desempaquetar linux-headers-4.18.0-041800-generic_4.18.0-041800.201808122131_amd64.deb …
    Desempaquetando linux-headers-4.18.0-041800-generic (4.18.0-041800.201808122131) …
    Seleccionando el paquete linux-image-unsigned-4.18.0-041800-generic previamente no seleccionado.
    Preparando para desempaquetar linux-image-unsigned-4.18.0-041800-generic_4.18.0-041800.201808122131_amd64.deb …
    Desempaquetando linux-image-unsigned-4.18.0-041800-generic (4.18.0-041800.201808122131) …
    Seleccionando el paquete linux-modules-4.18.0-041800-generic previamente no seleccionado.
    Preparando para desempaquetar linux-modules-4.18.0-041800-generic_4.18.0-041800.201808122131_amd64.deb …
    Desempaquetando linux-modules-4.18.0-041800-generic (4.18.0-041800.201808122131) …
    Configurando linux-headers-4.18.0-041800 (4.18.0-041800.201808122131) …
    Configurando linux-headers-4.18.0-041800-generic (4.18.0-041800.201808122131) …
    /etc/kernel/header_postinst.d/dkms:
    Warning: Unable to find an initial ram disk that I know how to handle.
    Will not try to make an initrd.
    Error! Bad return status for module build on kernel: 4.18.0-041800-generic (x86_64)
    Consult /var/lib/dkms/virtualbox-guest/5.2.18/build/make.log for more information.
    dpkg: problemas de dependencias impiden la configuración de linux-image-unsigned-4.18.0-041800-generic:
    linux-image-unsigned-4.18.0-041800-generic depende de linux-base (>= 4.5ubuntu1~16.04.1); sin embargo:
    La versión de `linux-base’ en el sistema es 4.5.

    dpkg: error al procesar el paquete linux-image-unsigned-4.18.0-041800-generic (–install):
    problemas de dependencias – se deja sin configurar
    Configurando linux-modules-4.18.0-041800-generic (4.18.0-041800.201808122131) …
    Se encontraron errores al procesar:
    linux-image-unsigned-4.18.0-041800-generic

  2. No funciona en Debian, más concretamente en MX Linux 17.1 da problema al instalar:
    $ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v4.18/linux-image-unsigned-4.18.0-041800-generic_4.18.0-041800.201808122131_amd64.deb

  3. No funciona en Debian, más concretamente en MX Linux 17.1 da problema al instalar:
    $ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v4.18/linux-image-unsigned-4.18.0-041800-generic_4.18.0-041800.201808122131_amd64.deb

DEJA UNA RESPUESTA

Por favor, introduzca su comentario!
Por favor, introduzca su nombre aquí